Bug 1026170 - [abrt] tmux-1.8-2.fc18: screen_write_linefeed: Process /usr/bin/tmux was killed by signal 11 (SIGSEGV)
[abrt] tmux-1.8-2.fc18: screen_write_linefeed: Process /usr/bin/tmux was kill...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: tmux (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sven Lankes
Fedora Extras Quality Assurance
abrt_hash:2aed8e4c2f2c531556f887d9ade...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 01:00 EST by ctrlaltdeleteliu
Modified: 2017-02-27 21:42 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-09 23:51:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (5.37 KB, text/plain)
2013-11-04 01:00 EST, ctrlaltdeleteliu
no flags Details
File: cgroup (128 bytes, text/plain)
2013-11-04 01:00 EST, ctrlaltdeleteliu
no flags Details
File: core_backtrace (3.49 KB, text/plain)
2013-11-04 01:00 EST, ctrlaltdeleteliu
no flags Details
File: dso_list (996 bytes, text/plain)
2013-11-04 01:00 EST, ctrlaltdeleteliu
no flags Details
File: environ (4.71 KB, text/plain)
2013-11-04 01:00 EST, ctrlaltdeleteliu
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-04 01:00 EST, ctrlaltdeleteliu
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-04 01:00 EST, ctrlaltdeleteliu
no flags Details
File: maps (5.32 KB, text/plain)
2013-11-04 01:00 EST, ctrlaltdeleteliu
no flags Details
File: open_fds (910 bytes, text/plain)
2013-11-04 01:01 EST, ctrlaltdeleteliu
no flags Details
File: proc_pid_status (934 bytes, text/plain)
2013-11-04 01:01 EST, ctrlaltdeleteliu
no flags Details
File: var_log_messages (302 bytes, text/plain)
2013-11-04 01:01 EST, ctrlaltdeleteliu
no flags Details

  None (edit)
Description ctrlaltdeleteliu 2013-11-04 01:00:09 EST
Version-Release number of selected component:
tmux-1.8-2.fc18

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        tmux
crash_function: screen_write_linefeed
executable:     /usr/bin/tmux
kernel:         3.11.4-101.fc18.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 screen_write_linefeed
 #1 input_c0_dispatch
 #2 input_parse
 #3 window_pane_read_callback
 #4 bufferevent_readcb at /lib64/libevent-2.0.so.5
 #5 event_base_loop at /lib64/libevent-2.0.so.5
 #6 server_loop
 #7 server_start
 #8 client_connect
 #9 client_main
Comment 1 ctrlaltdeleteliu 2013-11-04 01:00:17 EST
Created attachment 818911 [details]
File: backtrace
Comment 2 ctrlaltdeleteliu 2013-11-04 01:00:26 EST
Created attachment 818912 [details]
File: cgroup
Comment 3 ctrlaltdeleteliu 2013-11-04 01:00:31 EST
Created attachment 818913 [details]
File: core_backtrace
Comment 4 ctrlaltdeleteliu 2013-11-04 01:00:36 EST
Created attachment 818914 [details]
File: dso_list
Comment 5 ctrlaltdeleteliu 2013-11-04 01:00:41 EST
Created attachment 818915 [details]
File: environ
Comment 6 ctrlaltdeleteliu 2013-11-04 01:00:48 EST
Created attachment 818916 [details]
File: exploitable
Comment 7 ctrlaltdeleteliu 2013-11-04 01:00:52 EST
Created attachment 818917 [details]
File: limits
Comment 8 ctrlaltdeleteliu 2013-11-04 01:00:57 EST
Created attachment 818918 [details]
File: maps
Comment 9 ctrlaltdeleteliu 2013-11-04 01:01:02 EST
Created attachment 818919 [details]
File: open_fds
Comment 10 ctrlaltdeleteliu 2013-11-04 01:01:08 EST
Created attachment 818920 [details]
File: proc_pid_status
Comment 11 ctrlaltdeleteliu 2013-11-04 01:01:26 EST
Created attachment 818921 [details]
File: var_log_messages
Comment 12 Steven Roberts 2013-11-16 15:28:37 EST
Do you have any method to reproduce this?

I contacted the tmux (upstream) team and they are looking for more information.  like debug symbols in the backstrace and especially steps to reproduce.
Comment 13 Fedora End Of Life 2013-12-21 09:44:01 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.